package com.yunzhi.shigongli.common.excelConverter;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.CellData;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.property.ExcelContentProperty;
import com.yunzhi.shigongli.common.Constants;

public class OrderStatusConverter implements Converter<Integer> {
    @Override
    public Class supportJavaTypeKey() {
        return Integer.class;
    }

    @Override
    public CellDataTypeEnum supportExcelTypeKey() {
        return CellDataTypeEnum.STRING;
    }

    /**
     * 读 Excel
     * @param cellData
     * @param contentProperty
     * @param globalConfiguration
     * @return
     * @throws Exception
     */
    @Override
    public Integer convertToJavaData(CellData cellData, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) throws Exception {
        // 暂时没这业务
        return cellData.getNumberValue().intValue();
    }

    /**
     * 写 excel
     * @param value
     * @param contentProperty
     * @param globalConfiguration
     * @return
     * @throws Exception
     */
    @Override
    public CellData convertToExcelData(Integer value, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) throws Exception {
        String result = null;
        if (null == value) return null;

        switch (value) {
            case Constants.ORDER_READY:
                result = "待支付";
                break;
            case Constants.ORDER_PAYED:
                result = "已支付";
                break;
            case Constants.ORDER_REFUND:
                result = "已退款";
                break;
            case Constants.ORDER_CANCEL:
                result = "已取消";
                break;
            case Constants.ORDER_EXPIRED:
                result = "已过期";
                break;
            case 100:
                result = "已核销";
                break;
            default:
                break;
        }

        return new CellData(result);
    }
}
