package com.yunzhi.shigongli.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yunzhi.shigongli.common.excelConverter.LocalDateTimeConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 热词
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaHotWord对象", description="热词")
public class TaHotWord implements Serializable {

    @ExcelIgnore
    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    @ApiModelProperty(value = "热词ID")
    @TableId(value = "word_id", type = IdType.UUID)
    private String wordId;

    @ExcelProperty(value = "热词", index = 0)
    @ApiModelProperty(value = "热词")
    private String word;

    @ExcelProperty(value = "搜索次数", index = 1)
    @ColumnWidth(20)
    @ApiModelProperty(value = "搜索次数")
    private Integer searchNum;

    @ExcelProperty(value = "权重", index = 2)
    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ExcelIgnore
    @ApiModelProperty(value = "状态")
    private Integer status;

    @ExcelProperty(value = "操作时间", converter = LocalDateTimeConverter.class, index = 3)
    @ColumnWidth(30)
    @ApiModelProperty(value = "访问时间")
    private LocalDateTime createDate;

}
