package com.yunzhi.shigongli.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yunzhi.shigongli.common.excelConverter.LocalDateTimeConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 通知公告
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaNotification对象", description="通知公告")
public class TaNotification implements Serializable {
    @ExcelIgnore
    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    @ApiModelProperty(value = "搜索ID")
    @TableId(value = "notice_id", type = IdType.UUID)
    private String noticeId;

    @ExcelIgnore
    @ApiModelProperty(value = "发布人")
    private String createPerson;

    @ExcelProperty(value = "创建时间", converter = LocalDateTimeConverter.class, index = 1)
    @ColumnWidth(30)
    @ApiModelProperty(value = "发布时间")
    private LocalDateTime createDate;

    @ExcelIgnore
    @ApiModelProperty(value = "通知类型")
    private String noticeType;

    @ExcelProperty(value = "Tips", index = 0)
    @ColumnWidth(100)
    @ApiModelProperty(value = "通知内容")
    private String content;

    @ExcelIgnore
    @ApiModelProperty(value = "状态")
    @TableField("`status`")
    private Integer status;

    @ExcelIgnore
    @ApiModelProperty(value = "权重")
    private Integer weight;
}
