package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户点击事件埋点
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TrPersonClick对象", description="用户点击事件埋点")
public class TrPersonClick implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "track_id", type = IdType.AUTO)
    private String trackId;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "父ID")
    private String page;

    @ApiModelProperty(value = "内容类型")
    private String eventType;

    @ApiModelProperty(value = "内容对象")
    private String eventParams;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;

}
