package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaHotelAccount;
import com.yunzhi.shigongli.entity.TaHotelAccountLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.vo.HotelCommissionVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 民宿账户流水 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaHotelAccountLogMapper extends BaseMapper<TaHotelAccountLog> {
    Integer sumChargesBy(@Param("accountId") String accountId,
                         @Param("amountType") String amountType,
                         @Param("from") LocalDateTime from,
                         @Param("to") LocalDateTime to);

    IPage<HotelCommissionVO> getHotelAccountPage(IPage<HotelCommissionVO> pg,
                                                 @Param("amountType") String amountType,
                                                 @Param("hotelName") String hotelName,
                                                 @Param("startDate") LocalDateTime startDate,
                                                 @Param("endDate") LocalDateTime endDate);

    List<HotelCommissionVO> getHotelAccountList(@Param("amountType") String amountType,
                                                @Param("hotelName") String hotelName,
                                                @Param("startDate") LocalDateTime startDate,
                                                @Param("endDate") LocalDateTime endDate);
}
