package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaTravel;
import com.yunzhi.shigongli.vo.TravelDataVO;
import com.yunzhi.shigongli.vo.TravelListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 行程表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaTravelMapper extends BaseMapper<TaTravel> {

    List<TaTravel> getAllDestinyTemplate();

    List<TravelDataVO> getPersonTravel(@Param("personId") String personId, @Param("travelId") String travelId);

    IPage<TravelDataVO> getPersonTravelPaged(IPage<TravelDataVO> pg, @Param("personId") String personId, @Param("travelId") String travelId);

    IPage<TravelListVO> getAdminListPaged(IPage<TravelListVO> pg, @Param("phone") String phone, @Param("startDate") LocalDateTime startDate, @Param("endDate") LocalDateTime endDate);

    IPage<TaTravel> getAdminDestinyList(IPage<TaTravel> pg, @Param("title") String title, @Param("status") Integer status);
}
