package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaTravel;
import com.yunzhi.shigongli.mapper.TaTravelItemMapper;
import com.yunzhi.shigongli.mapper.TaTravelMapper;
import com.yunzhi.shigongli.service.ITaTravelService;
import com.yunzhi.shigongli.vo.TravelDataVO;
import com.yunzhi.shigongli.vo.TravelItemDataVO;
import com.yunzhi.shigongli.vo.TravelListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 分享表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaTravelServiceImpl extends BaseServiceImpl<TaTravelMapper, TaTravel> implements ITaTravelService {

    @Autowired
    TaTravelItemMapper taTravelItemMapper;

    @Override
    public TravelDataVO getPersonSingleTravel(String personId, String travelId) {
        List<TravelDataVO> travelDataVOList = baseMapper.getPersonTravel(personId, travelId);

        if (null == travelDataVOList || travelDataVOList.size() < 1) {
            return null;
        }

        TravelDataVO travelDataVO = travelDataVOList.get(0);
        List<TravelItemDataVO> itemDataVOList = taTravelItemMapper.getTravelItemDetails(travelId);
        travelDataVO.setTravelItemList(itemDataVOList);

        return travelDataVO;
    }

    @Override
    public IPage<TravelDataVO> getPersonAllList(IPage<TravelDataVO> pg, String personId, Boolean simple) {
        IPage<TravelDataVO> travelDataVOPage = baseMapper.getPersonTravelPaged(pg, personId, null);
        if (simple || null == travelDataVOPage || null == travelDataVOPage.getRecords()) return travelDataVOPage;

        for (TravelDataVO travelDataVO : travelDataVOPage.getRecords()) {
            List<TravelItemDataVO> itemDataVOList = taTravelItemMapper.getTravelItemDetails(travelDataVO.getTravelId());
            travelDataVO.setTravelItemList(itemDataVOList);
        }

        return travelDataVOPage;
    }

    @Override
    public IPage<TravelListVO> getAdminList(IPage<TravelListVO> pg, String phone, LocalDateTime startDate, LocalDateTime endDate) {
        return baseMapper.getAdminListPaged(pg, phone, startDate, endDate);
    }

    @Override
    public IPage<TaTravel> getAdminDestinyList(IPage<TaTravel> pg, String title, Integer status) {
        return baseMapper.getAdminDestinyList(pg, title, status);
    }
}
