package com.yunzhi.shigongli.vo;

import com.yunzhi.shigongli.entity.TaImage;
import com.yunzhi.shigongli.entity.TaNoteResource;
import com.yunzhi.shigongli.entity.TaResource;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel(description = "笔记内容")
@Data
public class NoteVO {

    @ApiModelProperty(value = "笔记ID")
    private String noteId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "简介")
    private String summary;

    @ApiModelProperty(value = "笔记类型;image图片,video视频")
    private String noteType;

    @ApiModelProperty(value = "封面")
    private String poster;

    @ApiModelProperty(value = "视频地址")
    private String videoUrl;

    @ApiModelProperty(value = "PV")
    private Integer pvNum;

    @ApiModelProperty(value = "UV")
    private Integer uvNum;

    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "图片列表")
    private List<TaImage> imageList;

    @ApiModelProperty(value = "笔记资源")
    private List<TaNoteResource> resourceList;

    @ApiModelProperty(value = "笔记资源-微信端")
    private List<ResourceListVO> wxResourceList;
}
