package com.yunzhi.shigongli.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yunzhi.shigongli.entity.TaRoom;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;


@ApiModel(description = "修改密码参数")
@Data
public class RoomListVO {

    @ExcelIgnore
    @ApiModelProperty(value = "房源ID")
    @TableId(value = "room_id", type = IdType.UUID)
    private String roomId;

    @ExcelProperty(value = "房屋名称", index = 1)
    @ColumnWidth(30)
    @ApiModelProperty(value = "房源名称")
    private String roomName;

    @ExcelIgnore
    @ApiModelProperty(value = "民宿ID")
    private String hotelId;

    @ExcelIgnore
    @ApiModelProperty(value = "主图")
    private String poster;

    @ExcelIgnore
    @ApiModelProperty(value = "定位")
    private String location;

    @ExcelProperty(value = "位置信息", index = 2)
    @ColumnWidth(30)
    @ApiModelProperty(value = "地址")
    private String address;

    @ExcelIgnore
    @ApiModelProperty(value = "停车场定位")
    private String parkingLocation;

    @ExcelIgnore
    @ApiModelProperty(value = "停车场位置")
    private String parkingAddress;

    @ExcelIgnore
    @ApiModelProperty(value = "WIFI名称")
    private String wifiName;

    @ExcelIgnore
    @ApiModelProperty(value = "WIFI密码")
    private String wifiPassword;

    @ExcelProperty(value = "权重", index = 3)
    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ExcelIgnore
    @ApiModelProperty(value = "状态")
    private Integer status;

    @ExcelIgnore
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ExcelProperty(value = "民宿名称", index = 0)
    @ColumnWidth(30)
    @ApiModelProperty("民宿名称")
    String hotelName;
}
