package com.yunzhi.shigongli.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yunzhi.shigongli.common.excelConverter.LocalDateTimeConverter;
import com.yunzhi.shigongli.common.excelConverter.LocalDayConverter;
import com.yunzhi.shigongli.common.excelConverter.MoneyConverter;
import com.yunzhi.shigongli.entity.TaShopPackage;
import com.yunzhi.shigongli.entity.TaTargetDietMark;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;


@ApiModel(description = "商品套餐全字段")
@Data
public class ShopPackageVO {

    @ExcelIgnore
    @ApiModelProperty(value = "套餐ID")
    @TableId(value = "package_id", type = IdType.UUID)
    private String packageId;

    @ExcelIgnore
    @ApiModelProperty(value = "商铺ID")
    private String shopId;

    @ExcelIgnore
    @ApiModelProperty(value = "类型")
    private String packageCategory;

    @ExcelProperty(value = "套餐描述", index = 1)
    @ColumnWidth(30)
    @ApiModelProperty(value = "描述")
    private String description;

    @ExcelIgnore
    @ApiModelProperty(value = "最小适用人数")
    private Integer minPerson;

    @ExcelIgnore
    @ApiModelProperty(value = "最大适用人数")
    private Integer maxPerson;

    @ExcelProperty(value = "适用人数", index = 2)
    @ColumnWidth(20)
    @ApiModelProperty(value = "适用人数")
    private String personNum;

    @ExcelIgnore
    @ApiModelProperty(value = "主图")
    private String poster;

    @ExcelIgnore
    @ApiModelProperty(value = "详情")
    private String details;

    @ExcelProperty(value = "门市价格", converter = MoneyConverter.class, index = 3)
    @ColumnWidth(20)
    @ApiModelProperty(value = "门市价格,单位分")
    private Integer standardPrice;

    @ExcelProperty(value = "实售价格", converter = MoneyConverter.class, index = 4)
    @ColumnWidth(20)
    @ApiModelProperty(value = "实售价格,单位分")
    private Integer actualPrice;

    @ExcelIgnore
    @ApiModelProperty(value = "返现,单位分")
    private Integer cashback;

    @ExcelIgnore
    @ApiModelProperty(value = "有效期始")
    private LocalDateTime startTime;

    @ExcelProperty(value = "有效期止", converter = LocalDayConverter.class, index = 5)
    @ColumnWidth(20)
    @ApiModelProperty(value = "有效期止")
    private LocalDateTime endTime;

    @ExcelIgnore
    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ExcelIgnore
    @ApiModelProperty(value = "状态")
    private Integer status;

    @ExcelIgnore
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ExcelIgnore
    @ApiModelProperty(value = "是否收藏")
    @TableField(exist = false)
    private Integer isSaved;

    @ExcelProperty(value = "商铺名称", index = 0)
    @ColumnWidth(30)
    @ApiModelProperty(value = "商铺名称")
    private String shopName;

    @ExcelIgnore
    @ApiModelProperty(value = "引流分成;单位千分之一")
    private Integer trafficRate;

    @ExcelIgnore
    @ApiModelProperty(value = "平台分成;单位千分之一")
    private Integer platformRate;

    @ExcelIgnore
    @ApiModelProperty(value = "参与攻略")
    private Boolean isStrategy;

    @ExcelProperty(value = "推荐级别", index = 6)
    @ColumnWidth(20)
    @ApiModelProperty(value = "推荐等级")
    private String strategyLevel;

    @ExcelIgnore
    @ApiModelProperty(value = "类别")
    private List<TaTargetDietMark> dietMarkList;

    @ExcelIgnore
    @ApiModelProperty(value = "网站名称")
    private String siteName;

    @ExcelIgnore
    @ApiModelProperty(value = "外链地址")
    private String link;

    @ExcelIgnore
    @ApiModelProperty(value = "网站内容类型")
    private String sitePackageType;
}
